/*
// 以下、各ページ用グローバル変数 //
var minpage	= 0				// 開始ページ
var maxpage	= 77			// 終了ページ

var renpage		= 97			// 連番の場合の前ページ数(+1)
var beforepage	= 97			// 前ページ数(+1)

var titleRoll	= 2				// タイトル用

var prevpage	= false;		// 前ページがあるか？
var nextpage	= true;			// 次ページがあるか？
var nextomake	= false;		// 次おまけページか？
var nowomake	= false;		// 今おまけページか？

var subfolder	= false;		// 各章がフォルダ分けされてるか？
var folderRoll	= 1				// フォルダ用

var subname    = '01_';        // ファイル名に付加する文字列

var gopage		= 0;			// 表示ページ指定
var nowtype		= 0				// 現在の表示タイプ
*/

var backhref	= "";			// 前ページのURL
var nexthref	= "";			// 次ページのURL

var slideshow	= false;		// スライドショーフラグ
var slideTime	= 4.5;			// スライドショーの時間(秒)
var nowpage		= minpage;		// 現在ページ

nowpage += gopage;				// 指定ページに移動

// タイトル表示
var page_title2	= ['[セリフあり]', '[効果のみ]', '[セリフなし]', ''];
var dispTitle = function(){
	document.getElementById('title').textContent = page_title[titleRoll] + pageTitle() + subTitle() + fileName() + slideTitle();
}
var pageTitle = function(){
	return ' ' + '(' + addZero((nowpage), 3) + '/' + addZero(images[nowtype].length - 1, 3) + ")";
}
var subTitle = function(){
	title = '';
	if( !nowomake ){
		title = ' ' + page_title2[nowtype];
	}
	return title
}
var fileName = function(){
	title ='';
	result = images[nowtype][nowpage].split('/');
	title = result[result.length - 1];
	return ' ' + title;
}
var slideTitle = function(){
	title = '';
	if( slideshow ){
		title = ' ' + '※';
	}
	return title;
}

// 前ページのページ数
var beforPage = function(){
	page = "";
	
	if( prevpage )
	{
		type = nowomake ? 0 : nowtype;
		page = '?page=' + (beforepage - 1) + '&' + 'type=' + type;
	}
	
	return page;
}

// 次へ前へのクリック処理
var linkChange = function(){
	// 前へ
	back_link = document.getElementById('back_link');
	if( nowpage === minpage ){
		if( !prevpage ){
			//back_link.href = index_name;
			back_link.removeAttribute('href');
		}
		else{
			backhref = "../" + skipPage(-1) + "/" + viewer_name + beforPage();
			back_link.href = backhref;
		}
	}
	else{
		back_link.removeAttribute('href');
	}
	
	// 次へ
	next_link	= document.getElementById('next_link');
	pict_link	= document.getElementById('pict_link');
	if( nowpage === maxpage ){
		if( !nextpage ){
			//next_link.href = pict_link.href = index_name;
			next_link.removeAttribute('href');
			pict_link.removeAttribute('href');
		}
		else{
			nexthref = "../" + skipPage(+1) + "/" + viewer_name + (nextomake ? '' : '?' + 'type=' + nowtype);
			next_link.href = pict_link.href = nexthref;
		}
	}
	else{
		next_link.removeAttribute('href');
		pict_link.removeAttribute('href');
	}
	
	// リストへ
	list_link = document.getElementById('list_link');
	list_link.href = list_name + (nowomake ? '' : '?' + 'type=' + nowtype);
}

// 画像表示
var dispImage = function(){	
	document.getElementById('main_cg').style.backgroundImage = 'url(' + images[nowtype][nowpage] + ')';
	
	linkChange();
	
	document.getElementById('prev').className = nowpage === minpage ? (prevpage ? 'back2' : 'back0') : 'back1';
	document.getElementById('next').className = nowpage === maxpage ? (nextpage ? 'next2' : 'next0') : 'next1';	
	
	if(nowomake){
		document.getElementById('on').className		= 'brnk3';
		document.getElementById('eff').className 	= 'brnk3';
		document.getElementById('off').className 	= 'brnk3';
	}
	
	dispTitle();
}

// 表示変更
var changeImage = function(num){
	if( nowpage + num >= minpage && nowpage + num < images[nowtype].length ){
		// 次ページへ
		nowpage += num;
		
		dispImage();
	}
	else if( nowpage + num < minpage ){
		// キー入力で前章へ
		if( prevpage ){
			location.href = backhref;
		}
	}
	else if( nowpage + num >= images[nowtype].length ){
		// キー入力で次章へ
		if( nextpage ){
			location.href = nexthref;
		}
	}
};

// スライドショー
var counter 	= 0;
var slideShow = function(){
	counter++;
	
	if( counter > 1 && slideshow ){
		changeImage(+1);
	}
	
	var slide_timer = setTimeout(slideShow, slideTime*1000);
	if( (!slideshow) || nowpage === maxpage ){
		counter		= 0;
		slideshow	= false;
		clearTimeout(slide_timer);
	}
}

// 現在ページの表示
dispImage();
